diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/AUTHORS ns-3.45/AUTHORS
--- ns-3.44/AUTHORS	2025-03-09 16:55:49.223370600 -0700
+++ ns-3.45/AUTHORS	2025-06-01 20:34:45.173700800 -0700
@@ -177,6 +177,7 @@
 Katerina Koutlia (katerina.koutlia@cttc.es)
 Aleksey Kovalenko (kovalenko@iitp.ru)
 Hossam Khader (hossamkhader@gmail.com)
+Daniel Kopacz (denykop@tuta.io)
 Alexander Krotov (ilabdsf@yandex.ru)
 Deepak Kumaraswamy (deepakkavoor99@gmail.com)
 Mathieu Lacage (mathieu.lacage@inria.fr)
@@ -249,6 +250,7 @@
 Lluís Parcerisa (parcerisa@gmail.com)
 Mingyu Park (darkpmg@naver.com)
 Harsh Patel (thadodaharsh10@gmail.com)
+Shashwat Patni (f20230390@goa.bits-pilani.ac.in)
 Natale Patriciello (natale.patriciello@gmail.com)
 Pavinberg (pavin0702@gmail.com)
 Tommaso Pecorella (tommaso.pecorella@unifi.it)
@@ -303,6 +305,7 @@
 Robert R. Schmidt (rschmi@gmx.net)
 Florian Schmidt (Florian.Schmidt@cs.rwth-aachen.de)
 Michael Scoggin (mpscogg@sandia.gov)
+Surya (suryamariappan9108@gmail.com)
 Surya Seetharaman (suryaseetharaman.9@gmail.com)
 Guillaume Seguin (guillaume.seguin@inria.fr)
 Ioannis Selinis (selinis.g@gmail.com)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/bindings/python/ns__init__.py ns-3.45/bindings/python/ns__init__.py
--- ns-3.44/bindings/python/ns__init__.py	2025-03-09 16:55:49.231370400 -0700
+++ ns-3.45/bindings/python/ns__init__.py	2025-06-01 20:34:45.178700700 -0700
@@ -351,6 +351,9 @@
 def find_ns3_from_search() -> (str, list, str):
     libraries = search_libraries("ns3")
 
+    # Filter in libraries prefixed with libns3
+    libraries = list(filter(lambda x: "libns3" in x, libraries))
+
     if not libraries:
         raise Exception("ns-3 libraries were not found.")
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/build-support/custom-modules/ns3-coverage.cmake ns-3.45/build-support/custom-modules/ns3-coverage.cmake
--- ns-3.44/build-support/custom-modules/ns3-coverage.cmake	2025-03-09 16:55:49.231370400 -0700
+++ ns-3.45/build-support/custom-modules/ns3-coverage.cmake	2025-06-01 20:34:45.179700900 -0700
@@ -33,13 +33,15 @@
   add_custom_target(
     coverage_gcc
     COMMAND lcov -o ns3.info -c --directory ${CMAKE_BINARY_DIR} ${zero_counters}
+            --keep-going --ignore-errors inconsistent
     WORKING_DIRECTORY ${CMAKE_OUTPUT_DIRECTORY}/coverage
     DEPENDS run_test_py
   )
 
   add_custom_target(
     coverage_html
-    COMMAND genhtml ns3.info
+    COMMAND genhtml --ignore-errors inconsistent --ignore-errors corrupt
+            ns3.info -o ./html
     WORKING_DIRECTORY ${CMAKE_OUTPUT_DIRECTORY}/coverage
     DEPENDS coverage_gcc
   )
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/build-support/macros-and-definitions.cmake ns-3.45/build-support/macros-and-definitions.cmake
--- ns-3.44/build-support/macros-and-definitions.cmake	2025-03-09 16:55:49.231370400 -0700
+++ ns-3.45/build-support/macros-and-definitions.cmake	2025-06-01 20:34:45.180700800 -0700
@@ -630,6 +630,7 @@
 
   set(Python3_LIBRARIES)
   set(Python3_EXECUTABLE)
+  set(Python_EXECUTABLE)
   set(Python3_FOUND FALSE)
   set(Python3_INCLUDE_DIRS)
   set(Python3_Interpreter_FOUND FALSE)
@@ -850,12 +851,14 @@
     cmake_policy(SET CMP0167 NEW)
   endif()
   mark_as_advanced(Boost_INCLUDE_DIR)
-  find_package(Boost)
+  find_package(Boost QUIET)
   if(${Boost_FOUND})
     if(NOT ${NS3_FORCE_LOCAL_DEPENDENCIES})
       include_directories(${Boost_INCLUDE_DIRS})
     endif()
     set(CMAKE_REQUIRED_INCLUDES ${Boost_INCLUDE_DIRS})
+  else()
+    message(${HIGHLIGHTED_STATUS} "Boost was not found")
   endif()
 
   set(GSL_FOUND FALSE)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/doc/doxygen.conf ns-3.45/doc/doxygen.conf
--- ns-3.44/doc/doxygen.conf	2025-03-09 16:55:49.235370600 -0700
+++ ns-3.45/doc/doxygen.conf	2025-06-01 20:34:45.184700700 -0700
@@ -2299,6 +2299,8 @@
                          ATTRIBUTE_VALUE_IMPLEMENT_WITH_NAME \
                          NS_UNUSED_GLOBAL \
                          NS_DEPRECATED \
+                         NS_DEPRECATED_3_45 \
+                         NS_DEPRECATED_3_44 \
                          NS_DEPRECATED_3_43 \
                          NS_DEPRECATED_3_42 \
                          NS_DEPRECATED_3_41 \
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/doc/manual/Makefile ns-3.45/doc/manual/Makefile
--- ns-3.44/doc/manual/Makefile	2025-03-09 16:55:49.235370600 -0700
+++ ns-3.45/doc/manual/Makefile	2025-06-01 20:34:45.185700700 -0700
@@ -92,6 +92,10 @@
 	figures/vtune-uarch-core-stats.png \
 	figures/vtune-uarch-profiling-summary.png \
 	figures/vtune-uarch-wifi-stats.png \
+	figures/perf.svg \
+	figures/perf-lte-frequency-reuse.png \
+	figures/perf-chunk-processor.png \
+	figures/perf-detail.png \
 	${SRC}/stats/doc/Stat-framework-arch.png \
 	${SRC}/stats/doc/Wifi-default.png \
 	${SRC}/stats/doc/dcf-overview.dia \
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/doc/models/Makefile ns-3.45/doc/models/Makefile
--- ns-3.44/doc/models/Makefile	2025-03-09 16:55:49.275370600 -0700
+++ ns-3.45/doc/models/Makefile	2025-06-01 20:34:45.239701000 -0700
@@ -118,6 +118,8 @@
 	$(SRC)/applications/doc/http-num-of-embedded-objects.png \
 	$(SRC)/applications/doc/http-parsing-time.png \
 	$(SRC)/applications/doc/http-reading-time.png \
+	$(SRC)/dsr/doc/figures/dsrRreq.dia \
+	$(SRC)/dsr/doc/figures/dsrRrep.dia \
 	$(SRC)/network/doc/packet.dia \
 	$(SRC)/network/doc/node.dia \
 	$(SRC)/network/doc/buffer.dia \
@@ -367,6 +369,7 @@
 	$(SRC)/lr-wpan/doc/802-15-4-ber.eps \
 	$(SRC)/lr-wpan/doc/802-15-4-per-sens.eps \
 	$(SRC)/lr-wpan/doc/802-15-4-psr-distance.eps \
+	$(SRC)/flow-monitor/doc/figures/flowmonitorArq.dia \
 	$(SRC)/energy/doc/figures/dischargeCurve.png \
 	$(SRC)/energy/doc/figures/energyFramework.dia \
 	$(SRC)/energy/doc/figures/leadacid.png \
@@ -375,7 +378,9 @@
 	$(SRC)/energy/doc/figures/nimh.png \
 	$(SRC)/zigbee/doc/figures/zigbeeStackArch.dia \
 	$(SRC)/zigbee/doc/figures/manyToOne.dia \
-	$(SRC)/zigbee/doc/figures/mesh.dia
+	$(SRC)/zigbee/doc/figures/mesh.dia \
+	$(SRC)/internet-apps/doc/figures/dhcpv6-message-exchange.dia \
+	$(SRC)/internet-apps/doc/figures/stateful-dhcpv6-format.dia
 
 # specify figures from which .png and .pdf figures need to be
 # generated (all dia and eps figures)
@@ -474,6 +479,9 @@
 	$(FIGURES)/802-15-4-per-sens.eps \
 	$(FIGURES)/802-15-4-psr-distance.eps \
 	$(FIGURES)/energyFramework.eps \
+	$(FIGURES)/flowmonitorArq.eps \
+	$(FIGURES)/dsrRreq.eps \
+	$(FIGURES)/dsrRrep.eps \
 	$(FIGURES)/clear-channel.eps \
 	$(FIGURES)/assoc-manager.eps \
 	$(FIGURES)/emlsr-dl-txop.eps \
@@ -500,7 +508,10 @@
 	$(FIGURES)/lena-radio-link-failure-two-enb.eps \
 	$(FIGURES)/zigbeeStackArch.eps \
 	$(FIGURES)/manyToOne.eps \
-	$(FIGURES)/mesh.eps
+	$(FIGURES)/mesh.eps \
+	$(FIGURES)/dhcpv6-message-exchange.eps \
+	$(FIGURES)/stateful-dhcpv6-format.eps
+
 
 # rescale pdf figures as necessary
 $(FIGURES)/testbed.pdf_width = 5in
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/examples/channel-models/three-gpp-v2v-channel-example.cc ns-3.45/examples/channel-models/three-gpp-v2v-channel-example.cc
--- ns-3.44/examples/channel-models/three-gpp-v2v-channel-example.cc	2025-03-09 16:55:49.331370800 -0700
+++ ns-3.45/examples/channel-models/three-gpp-v2v-channel-example.cc	2025-06-01 20:34:45.269701000 -0700
@@ -5,7 +5,7 @@
  *
  */
 
-/**
+/*
  * This is an example on how to configure the channel model classes to simulate
  * a vehicular environment.
  * The channel condition is determined using the model specified in [1], Table 6.2-1.
@@ -38,6 +38,7 @@
 
 using namespace ns3;
 
+/// the log component
 NS_LOG_COMPONENT_DEFINE("ThreeGppV2vChannelExample");
 
 static Ptr<ThreeGppPropagationLossModel>
@@ -46,7 +47,7 @@
     m_spectrumLossModel;                       //!< the SpectrumPropagationLossModel object
 static Ptr<ChannelConditionModel> m_condModel; //!< the ChannelConditionModel object
 
-/*
+/**
  * @brief A structure that holds the parameters for the ComputeSnr
  * function. In this way the problem with the limited
  * number of parameters of method Schedule is avoided.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/examples/routing/manet-routing-compare.cc ns-3.45/examples/routing/manet-routing-compare.cc
--- ns-3.44/examples/routing/manet-routing-compare.cc	2025-03-09 16:55:49.331370800 -0700
+++ ns-3.45/examples/routing/manet-routing-compare.cc	2025-06-01 20:34:45.270701200 -0700
@@ -18,14 +18,14 @@
  */
 
 /*
- * This example program allows one to run ns-3 DSDV, AODV, or OLSR under
+ * This example program allows one to run ns-3 DSDV, DSR, AODV, or OLSR under
  * a typical random waypoint mobility model.
  *
  * By default, the simulation runs for 200 simulated seconds, of which
- * the first 50 are used for start-up time.  The number of nodes is 50.
+ * the first 100 are used for start-up time.  The number of nodes is 50.
  * Nodes move according to RandomWaypointMobilityModel with a speed of
  * 20 m/s and no pause time within a 300x1500 m region.  The WiFi is
- * in ad hoc mode with a 2 Mb/s rate (802.11b) and a Friis loss model.
+ * in ad hoc mode with a 11 Mb/s rate (802.11b) and a Friis loss model.
  * The transmit power is set to 7.5 dBm.
  *
  * It is possible to change the mobility and density of the network by
@@ -34,14 +34,13 @@
  * the transmit power (as power increases, the impact of mobility
  * decreases and the effective density increases).
  *
- * By default, OLSR is used, but specifying a value of 2 for the protocol
- * will cause AODV to be used, and specifying a value of 3 will cause
- * DSDV to be used.
+ * By default, AODV is used, but specifying a string of 'OLSR', 'DSDV', or
+ * 'DSR' to the protocol command-line argument will change the protocol.
  *
  * By default, there are 10 source/sink data pairs sending UDP data
  * at an application rate of 2.048 Kb/s each.    This is typically done
  * at a rate of 4 64-byte packets per second.  Application data is
- * started at a random time between 50 and 51 seconds and continues
+ * started at a random time between 100 and 101 seconds and continues
  * to the end of the simulation.
  *
  * The program outputs a few items:
@@ -49,6 +48,8 @@
  *   <timestamp> <node-id> received one packet from <src-address>
  * - each second, the data reception statistics are tabulated and output
  *   to a comma-separated value (csv) file
+ * - mobility traces of the nodes are printed to 'manet-routing-compare.mob';
+ *   this trace can be disabled using a command-line argument
  * - some tracing and flow monitor configuration that used to work is
  *   left commented inline in the program
  */
@@ -120,7 +121,7 @@
     int m_nSinks{10};                                      //!< Number of sink nodes.
     std::string m_protocolName{"AODV"};                    //!< Protocol name.
     double m_txp{7.5};                                     //!< Tx power.
-    bool m_traceMobility{false};                           //!< Enable mobility tracing.
+    bool m_traceMobility{true};                            //!< Enable mobility tracing.
     bool m_flowMonitor{false};                             //!< Enable FlowMonitor.
 };
 
@@ -388,7 +389,10 @@
     // Ptr<OutputStreamWrapper> osw = ascii.CreateFileStream(tr_name + ".tr");
     // wifiPhy.EnableAsciiAll(osw);
     AsciiTraceHelper ascii;
-    MobilityHelper::EnableAsciiAll(ascii.CreateFileStream(tr_name + ".mob"));
+    if (m_traceMobility)
+    {
+        MobilityHelper::EnableAsciiAll(ascii.CreateFileStream(tr_name + ".mob"));
+    }
 
     FlowMonitorHelper flowmonHelper;
     Ptr<FlowMonitor> flowmon;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/examples/wireless/examples-to-run.py ns-3.45/examples/wireless/examples-to-run.py
--- ns-3.44/examples/wireless/examples-to-run.py	2025-03-09 16:55:49.335371000 -0700
+++ ns-3.45/examples/wireless/examples-to-run.py	2025-06-01 20:34:45.273701000 -0700
@@ -165,7 +165,7 @@
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.1s --frequency=5 --useRts=1 --minExpectedThroughput=6 --maxExpectedThroughput=660",
+        "wifi-eht-network --simulationTime=0.1s --frequency=6 --useRts=1 --minExpectedThroughput=5 --maxExpectedThroughput=800",
         "True",
         "True",
     ),
@@ -195,7 +195,7 @@
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.25s --udp=0 --downlink=0 --useRts=0 --nStations=4 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mpduBufferSize=1024 --mcs=8 --muSchedAccessReqInterval=45ms --frequency2=6 --minExpectedThroughput=50 --maxExpectedThroughput=550 --RngRun=7",
+        "wifi-eht-network --simulationTime=0.25s --udp=0 --downlink=0 --useRts=0 --nStations=4 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mpduBufferSize=1024 --mcs=8 --muSchedAccessReqInterval=45ms --frequency2=6 --minExpectedThroughput=50 --maxExpectedThroughput=550 --RngRun=3",
         "True",
         "True",
     ),
@@ -210,22 +210,22 @@
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.2s --frequency=2.4 --frequency2=5 --guardInterval=1600 --udp=0 --downlink=0 --useRts=0 --mpduBufferSize=512 --emlsrLinks=0,1 --emlsrPaddingDelay=0 --emlsrTransitionDelay=0 --channelSwitchDelay=1ns --emlsrMgrTypeId=ns3::AdvancedEmlsrManager --emlsrAuxSwitch=False --emlsrAuxTxCapable=False --minExpectedThroughput=5 --maxExpectedThroughput=40 --RngRun=7",
+        "wifi-eht-network --simulationTime=0.2s --frequency=2.4 --frequency2=5 --guardInterval=1600 --udp=0 --downlink=0 --useRts=0 --mpduBufferSize=512 --emlsrLinks=0,1 --emlsrPaddingDelay=0 --emlsrTransitionDelay=0 --channelSwitchDelay=1ns --emlsrMgrTypeId=ns3::AdvancedEmlsrManager --emlsrAuxSwitch=False --emlsrAuxTxCapable=False --minExpectedThroughput=5 --maxExpectedThroughput=40 --RngRun=9",
         "True",
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.3s --frequency=2.4 --frequency2=5 --frequency3=6 --guardInterval=1600 --udp=0 --downlink=1 --useRts=0 --mpduBufferSize=512 --emlsrLinks=0,1,2 --emlsrPaddingDelay=32 --emlsrTransitionDelay=32 --channelSwitchDelay=32us --emlsrAuxSwitch=True --emlsrAuxTxCapable=True --nStations=4 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=0 --mcs=0,3,5,9,10 --minExpectedThroughput=8 --maxExpectedThroughput=300 --RngRun=6",
+        "wifi-eht-network --simulationTime=0.3s --frequency=2.4 --frequency2=5 --frequency3=6 --guardInterval=1600 --udp=0 --downlink=1 --useRts=0 --mpduBufferSize=512 --emlsrLinks=0,1,2 --emlsrPaddingDelay=32 --emlsrTransitionDelay=32 --channelSwitchDelay=32us --emlsrAuxSwitch=True --emlsrAuxTxCapable=True --nStations=4 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=0 --mcs=0,3,5,9,10 --minExpectedThroughput=8 --maxExpectedThroughput=300",
         "True",
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.3s --frequency=2.4 --frequency2=5 --frequency3=6 --guardInterval=1600 --udp=0 --downlink=0 --useRts=1 --mpduBufferSize=512 --emlsrLinks=0,1,2 --emlsrPaddingDelay=64 --emlsrTransitionDelay=64 --channelSwitchDelay=64us --emlsrAuxSwitch=False --emlsrAuxTxCapable=True --nStations=4 --dlAckType=MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mcs=1,4,8,11,13 --minExpectedThroughput=10 --maxExpectedThroughput=260 --RngRun=4",
+        "wifi-eht-network --simulationTime=0.3s --frequency=2.4 --frequency2=5 --frequency3=6 --guardInterval=1600 --udp=0 --downlink=0 --useRts=1 --mpduBufferSize=512 --emlsrLinks=0,1,2 --emlsrPaddingDelay=64 --emlsrTransitionDelay=64 --channelSwitchDelay=64us --emlsrAuxSwitch=False --emlsrAuxTxCapable=True --nStations=4 --dlAckType=MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mcs=1,4,8,11,13 --minExpectedThroughput=10 --maxExpectedThroughput=260",
         "True",
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.3s --frequency=2.4 --frequency2=5 --frequency3=6 --guardInterval=1600 --udp=0 --downlink=0 --useRts=1 --mpduBufferSize=512 --emlsrLinks=0,1,2 --emlsrPaddingDelay=0 --emlsrTransitionDelay=0 --channelSwitchDelay=1ns --emlsrMgrTypeId=ns3::AdvancedEmlsrManager --emlsrAuxSwitch=False --emlsrAuxTxCapable=False --nStations=4 --dlAckType=ACK-SU-FORMAT --enableUlOfdma=1 --enableBsrp=1 --mcs=1,5,8,11 --minExpectedThroughput=8 --maxExpectedThroughput=288 --RngRun=5",
+        "wifi-eht-network --simulationTime=0.3s --frequency=2.4 --frequency2=5 --frequency3=6 --guardInterval=1600 --udp=0 --downlink=0 --useRts=1 --mpduBufferSize=512 --emlsrLinks=0,1,2 --emlsrPaddingDelay=0 --emlsrTransitionDelay=0 --channelSwitchDelay=1ns --emlsrMgrTypeId=ns3::AdvancedEmlsrManager --emlsrAuxSwitch=False --emlsrAuxTxCapable=False --nStations=4 --dlAckType=ACK-SU-FORMAT --enableUlOfdma=1 --enableBsrp=1 --mcs=1,5,8,11 --minExpectedThroughput=8 --maxExpectedThroughput=288",
         "True",
         "True",
     ),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/examples/wireless/wifi-dsss-validation.cc ns-3.45/examples/wireless/wifi-dsss-validation.cc
--- ns-3.44/examples/wireless/wifi-dsss-validation.cc	2025-03-09 16:55:49.339371000 -0700
+++ ns-3.45/examples/wireless/wifi-dsss-validation.cc	2025-06-01 20:34:45.274701000 -0700
@@ -4,10 +4,10 @@
  * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
  */
 
-// This example is used to validate error rate models for DSSS rates.
-//
-// It outputs plots of the Frame Success Rate versus the Signal-to-noise ratio
-// for the DSSS error rate models and for every DSSS mode.
+// This example is used to generate plots of the Frame Success Rate (FSR) versus the Signal-to-noise
+// ratio (SNR) for NIST, YANS and Table-based error rate models and for every DSSS rate. It also
+// performs a boundary check to ensure that the FSR is between 0 and 1. The results are finally
+// saved in files (.plt) per model which can be processed by gnuplot to generate the plots.
 
 #include "ns3/command-line.h"
 #include "ns3/gnuplot.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/examples/wireless/wifi-eht-network.cc ns-3.45/examples/wireless/wifi-eht-network.cc
--- ns-3.44/examples/wireless/wifi-eht-network.cc	2025-03-09 16:55:49.339371000 -0700
+++ ns-3.45/examples/wireless/wifi-eht-network.cc	2025-06-01 20:34:45.274701000 -0700
@@ -39,9 +39,10 @@
 // This is a simple example in order to show how to configure an IEEE 802.11be Wi-Fi network.
 //
 // It outputs the UDP or TCP goodput for every EHT MCS value, which depends on the MCS value (0 to
-// 13), the channel width (20, 40, 80 or 160 MHz) and the guard interval (800ns, 1600ns or 3200ns).
-// The PHY bitrate is constant over all the simulation run. The user can also specify the distance
-// between the access point and the station: the larger the distance the smaller the goodput.
+// 13), the channel width (20, 40, 80, 160 or 320 MHz) and the guard interval (800ns, 1600ns or
+// 3200ns). The PHY bitrate is constant over all the simulation run. The user can also specify the
+// distance between the access point and the station: the larger the distance the smaller the
+// goodput.
 //
 // The simulation assumes a configurable number of stations in an infrastructure network:
 //
@@ -236,8 +237,8 @@
         "list of comma separated MCS values to test; if unset, all MCS values (0-13) are tested",
         mcsStr);
     cmd.AddValue("channelWidth",
-                 "if set, limit testing to a specific channel width expressed in MHz (20, 40, 80 "
-                 "or 160 MHz)",
+                 "if set, limit testing to a specific channel width expressed in MHz (20, 40, 80, "
+                 "160 or 320 MHz)",
                  channelWidth);
     cmd.AddValue("guardInterval",
                  "if set, limit testing to a specific guard interval duration expressed in "
@@ -280,7 +281,7 @@
                      "AGGR-MU-BAR)");
     }
 
-    double prevThroughput[12] = {0};
+    double prevThroughput[15] = {0};
 
     std::cout << "MCS value"
               << "\t\t"
@@ -310,7 +311,15 @@
     }
 
     int minChannelWidth = 20;
-    int maxChannelWidth = (frequency != 2.4 && frequency2 != 2.4 && frequency3 != 2.4) ? 160 : 40;
+    int maxChannelWidth =
+        ((frequency != 2.4) && (frequency2 != 2.4) && (frequency3 != 2.4))
+            ? (((frequency == 6) && (frequency2 == 0) && (frequency3 == 0)) ? 320 : 160)
+            : 40;
+    if ((channelWidth != -1) &&
+        ((channelWidth < minChannelWidth) || (channelWidth > maxChannelWidth)))
+    {
+        NS_FATAL_ERROR("Invalid channel width: " << channelWidth << " MHz");
+    }
     if (channelWidth >= minChannelWidth && channelWidth <= maxChannelWidth)
     {
         minChannelWidth = channelWidth;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/examples/wireless/wifi-he-network.cc ns-3.45/examples/wireless/wifi-he-network.cc
--- ns-3.44/examples/wireless/wifi-he-network.cc	2025-03-09 16:55:49.339371000 -0700
+++ ns-3.45/examples/wireless/wifi-he-network.cc	2025-06-01 20:34:45.274701000 -0700
@@ -206,6 +206,11 @@
 
     int minChannelWidth = 20;
     int maxChannelWidth = frequency == 2.4 ? 40 : 160;
+    if ((channelWidth != -1) &&
+        ((channelWidth < minChannelWidth) || (channelWidth > maxChannelWidth)))
+    {
+        NS_FATAL_ERROR("Invalid channel width: " << channelWidth << " MHz");
+    }
     if (channelWidth >= minChannelWidth && channelWidth <= maxChannelWidth)
     {
         minChannelWidth = channelWidth;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/examples/wireless/wifi-ht-network.cc ns-3.45/examples/wireless/wifi-ht-network.cc
--- ns-3.44/examples/wireless/wifi-ht-network.cc	2025-03-09 16:55:49.339371000 -0700
+++ ns-3.45/examples/wireless/wifi-ht-network.cc	2025-06-01 20:34:45.274701000 -0700
@@ -135,6 +135,11 @@
 
     int minChannelWidth = 20;
     int maxChannelWidth = 40;
+    if ((channelWidth != -1) &&
+        ((channelWidth < minChannelWidth) || (channelWidth > maxChannelWidth)))
+    {
+        NS_FATAL_ERROR("Invalid channel width: " << channelWidth << " MHz");
+    }
     if (channelWidth >= minChannelWidth && channelWidth <= maxChannelWidth)
     {
         minChannelWidth = channelWidth;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/examples/wireless/wifi-ofdm-eht-validation.cc ns-3.45/examples/wireless/wifi-ofdm-eht-validation.cc
--- ns-3.44/examples/wireless/wifi-ofdm-eht-validation.cc	2025-03-09 16:55:49.339371000 -0700
+++ ns-3.45/examples/wireless/wifi-ofdm-eht-validation.cc	2025-06-01 20:34:45.274701000 -0700
@@ -6,10 +6,10 @@
  * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
  */
 
-// This example is used to validate NIST and YANS error rate models for EHT rates.
-//
-// It outputs plots of the Frame Success Rate versus the Signal-to-noise ratio for
-// Nist, Yans and Table-based error rate models and for every HT MCS value.
+// This example is used to generate plots of the Frame Success Rate (FSR) versus the Signal-to-noise
+// ratio (SNR) for NIST, YANS and Table-based error rate models and for every EHT MCS value. It also
+// performs a boundary check to ensure that the FSR is between 0 and 1. The results are finally
+// saved in files (.plt) per model which can be processed by gnuplot to generate the plots.
 
 #include "ns3/command-line.h"
 #include "ns3/gnuplot.h"
@@ -135,7 +135,6 @@
         plotExtra << "set style line " << (i + 1) << " linewidth 5 linecolor rgb \"" << colors[i]
                   << "\" \n";
     }
-    plotExtra << "set style increment user";
 
     yansplot.SetTerminal("postscript eps color enh \"Times-BoldItalic\"");
     yansplot.SetLegend("SNR(dB)", "Frame Success Rate");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/examples/wireless/wifi-ofdm-he-validation.cc ns-3.45/examples/wireless/wifi-ofdm-he-validation.cc
--- ns-3.44/examples/wireless/wifi-ofdm-he-validation.cc	2025-03-09 16:55:49.339371000 -0700
+++ ns-3.45/examples/wireless/wifi-ofdm-he-validation.cc	2025-06-01 20:34:45.274701000 -0700
@@ -4,10 +4,10 @@
  * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
  */
 
-// This example is used to validate Nist, Yans and Table-based error rate models for HE rates.
-//
-// It outputs plots of the Frame Success Rate versus the Signal-to-noise ratio for
-// Nist, Yans and Table-based error rate models and for every HE MCS value.
+// This example is used to generate plots of the Frame Success Rate (FSR) versus the Signal-to-noise
+// ratio (SNR) for NIST, YANS and Table-based error rate models and for every HE MCS value. It also
+// performs a boundary check to ensure that the FSR is between 0 and 1. The results are finally
+// saved in files (.plt) per model which can be processed by gnuplot to generate the plots.
 
 #include "ns3/command-line.h"
 #include "ns3/gnuplot.h"
@@ -118,8 +118,7 @@
 set style line 9 linewidth 5\n\
 set style line 10 linewidth 5\n\
 set style line 11 linewidth 5\n\
-set style line 12 linewidth 5\n\
-set style increment user");
+set style line 12 linewidth 5\n");
     yansplot.GenerateOutput(yansfile);
     yansfile.close();
 
@@ -138,8 +137,7 @@
 set style line 9 linewidth 5\n\
 set style line 10 linewidth 5\n\
 set style line 11 linewidth 5\n\
-set style line 12 linewidth 5\n\
-set style increment user");
+set style line 12 linewidth 5\n");
 
     nistplot.GenerateOutput(nistfile);
     nistfile.close();
@@ -159,8 +157,7 @@
 set style line 9 linewidth 5\n\
 set style line 10 linewidth 5\n\
 set style line 11 linewidth 5\n\
-set style line 12 linewidth 5\n\
-set style increment user");
+set style line 12 linewidth 5\n");
 
     tableplot.GenerateOutput(tablefile);
     tablefile.close();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/examples/wireless/wifi-ofdm-ht-validation.cc ns-3.45/examples/wireless/wifi-ofdm-ht-validation.cc
--- ns-3.44/examples/wireless/wifi-ofdm-ht-validation.cc	2025-03-09 16:55:49.339371000 -0700
+++ ns-3.45/examples/wireless/wifi-ofdm-ht-validation.cc	2025-06-01 20:34:45.274701000 -0700
@@ -4,10 +4,10 @@
  * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
  */
 
-// This example is used to validate Nist, Yans and Table-based error rate models for HT rates.
-//
-// It outputs plots of the Frame Success Rate versus the Signal-to-noise ratio for
-// Nist, Yans and Table-based error rate models and for every HT MCS value.
+// This example is used to generate plots of the Frame Success Rate (FSR) versus the Signal-to-noise
+// ratio (SNR) for NIST, YANS and Table-based error rate models and for every HT MCS value. It also
+// performs a boundary check to ensure that the FSR is between 0 and 1. The results are finally
+// saved in files (.plt) per model which can be processed by gnuplot to generate the plots.
 
 #include "ns3/command-line.h"
 #include "ns3/gnuplot.h"
@@ -110,8 +110,7 @@
 set style line 5 linewidth 5\n\
 set style line 6 linewidth 5\n\
 set style line 7 linewidth 5\n\
-set style line 8 linewidth 5\n\
-set style increment user");
+set style line 8 linewidth 5\n");
     yansplot.GenerateOutput(yansfile);
     yansfile.close();
 
@@ -126,8 +125,7 @@
 set style line 5 linewidth 5\n\
 set style line 6 linewidth 5\n\
 set style line 7 linewidth 5\n\
-set style line 8 linewidth 5\n\
-set style increment user");
+set style line 8 linewidth 5\n");
 
     nistplot.GenerateOutput(nistfile);
     nistfile.close();
@@ -143,8 +141,7 @@
 set style line 5 linewidth 5\n\
 set style line 6 linewidth 5\n\
 set style line 7 linewidth 5\n\
-set style line 8 linewidth 5\n\
-set style increment user");
+set style line 8 linewidth 5\n");
 
     tableplot.GenerateOutput(tablefile);
     tablefile.close();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/examples/wireless/wifi-ofdm-validation.cc ns-3.45/examples/wireless/wifi-ofdm-validation.cc
--- ns-3.44/examples/wireless/wifi-ofdm-validation.cc	2025-03-09 16:55:49.339371000 -0700
+++ ns-3.45/examples/wireless/wifi-ofdm-validation.cc	2025-06-01 20:34:45.274701000 -0700
@@ -6,10 +6,10 @@
  * Author: Gary Pei <guangyu.pei@boeing.com>
  */
 
-// This example is used to validate Nist, Yans and Table-based error rate models for OFDM rates.
-//
-// It outputs plots of the Frame Success Rate versus the Signal-to-noise ratio for
-// Nist, Yans and Table-based error rate models and for every OFDM mode.
+// This example is used to generate plots of the Frame Success Rate (FSR) versus the Signal-to-noise
+// ratio (SNR) for NIST, YANS and Table-based error rate models and for every OFDM rate. It also
+// performs a boundary check to ensure that the FSR is between 0 and 1. The results are finally
+// saved in files (.plt) per model which can be processed by gnuplot to generate the plots.
 
 #include "ns3/command-line.h"
 #include "ns3/gnuplot.h"
@@ -112,8 +112,7 @@
 set style line 5 linewidth 5\n\
 set style line 6 linewidth 5\n\
 set style line 7 linewidth 5\n\
-set style line 8 linewidth 5\n\
-set style increment user");
+set style line 8 linewidth 5\n");
     yansplot.GenerateOutput(yansfile);
     yansfile.close();
 
@@ -128,8 +127,7 @@
 set style line 5 linewidth 5\n\
 set style line 6 linewidth 5\n\
 set style line 7 linewidth 5\n\
-set style line 8 linewidth 5\n\
-set style increment user");
+set style line 8 linewidth 5\n");
 
     nistplot.GenerateOutput(nistfile);
     nistfile.close();
@@ -145,8 +143,7 @@
 set style line 5 linewidth 5\n\
 set style line 6 linewidth 5\n\
 set style line 7 linewidth 5\n\
-set style line 8 linewidth 5\n\
-set style increment user");
+set style line 8 linewidth 5\n");
 
     tableplot.GenerateOutput(tablefile);
     tablefile.close();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/examples/wireless/wifi-ofdm-vht-validation.cc ns-3.45/examples/wireless/wifi-ofdm-vht-validation.cc
--- ns-3.44/examples/wireless/wifi-ofdm-vht-validation.cc	2025-03-09 16:55:49.339371000 -0700
+++ ns-3.45/examples/wireless/wifi-ofdm-vht-validation.cc	2025-06-01 20:34:45.274701000 -0700
@@ -4,11 +4,11 @@
  * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
  */
 
-// This example is used to validate Nist, Yans and Table-based error rate models for VHT rates.
-//
-// It outputs plots of the Frame Success Rate versus the Signal-to-noise ratio for
-// Nist, Yans and Table-based error rate models and for every VHT MCS value (MCS 9 is not
-// included since it is forbidden for 20 MHz channels).
+// This example is used to generate plots of the Frame Success Rate (FSR) versus the Signal-to-noise
+// ratio (SNR) for NIST, YANS and Table-based error rate models and for every VHT MCS value (MCS 9
+// is not included since it is forbidden for 20 MHz channels). It also performs a boundary check to
+// ensure that the FSR is between 0 and 1. The results are finally saved in files (.plt) per model
+// which can be processed by gnuplot to generate the plots.
 
 #include "ns3/command-line.h"
 #include "ns3/gnuplot.h"
@@ -113,8 +113,7 @@
 set style line 6 linewidth 5\n\
 set style line 7 linewidth 5\n\
 set style line 8 linewidth 5\n\
-set style line 9 linewidth 5\n\
-set style increment user");
+set style line 9 linewidth 5\n");
     yansplot.GenerateOutput(yansfile);
     yansfile.close();
 
@@ -130,8 +129,7 @@
 set style line 6 linewidth 5\n\
 set style line 7 linewidth 5\n\
 set style line 8 linewidth 5\n\
-set style line 9 linewidth 5\n\
-set style increment user");
+set style line 9 linewidth 5\n");
 
     nistplot.GenerateOutput(nistfile);
     nistfile.close();
@@ -148,8 +146,7 @@
 set style line 6 linewidth 5\n\
 set style line 7 linewidth 5\n\
 set style line 8 linewidth 5\n\
-set style line 9 linewidth 5\n\
-set style increment user");
+set style line 9 linewidth 5\n");
 
     tableplot.GenerateOutput(tablefile);
     tablefile.close();
